Get feed run
curl --request GET \
--url https://api.nops.io/v1/feed/{runId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nops.io/v1/feed/{runId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nops.io/v1/feed/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/feed/{runId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"run": {
"id": "clxrun01abc",
"scheduledPromptId": "clxprompt01xyz",
"status": "completed",
"queuedAt": "2026-07-17T12:00:00.000Z",
"startedAt": "2026-07-17T12:00:00.000Z",
"finishedAt": "2026-07-17T12:00:00.000Z",
"title": "Weekly EC2 spend summary",
"summary": "Spend rose 4% week over week across production accounts.",
"responsePreview": {
"hasChart": true,
"hasTable": false,
"chartCount": 1,
"tableCount": 0,
"previewMarkdown": "```chart\n...\n```"
},
"runtimeSessionId": "sess_abc123",
"errorMessage": null,
"scheduledPrompt": {
"id": "clxprompt01xyz",
"name": "Weekly EC2 summary",
"scope": "private",
"canvasId": "clxcanvas01",
"category": "FinOps Analyst",
"domain": "Compute"
},
"canContinueInClara": true,
"response": "## Weekly EC2 summary\n\nSpend rose 4% week over week.",
"nopsClientId": 42,
"vercelMessageId": "msg_abc123"
}
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Feed
Get feed run
GET
https://api.nops.io
/
v1
/
feed
/
{runId}
Get feed run
curl --request GET \
--url https://api.nops.io/v1/feed/{runId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nops.io/v1/feed/{runId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nops.io/v1/feed/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/feed/{runId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"run": {
"id": "clxrun01abc",
"scheduledPromptId": "clxprompt01xyz",
"status": "completed",
"queuedAt": "2026-07-17T12:00:00.000Z",
"startedAt": "2026-07-17T12:00:00.000Z",
"finishedAt": "2026-07-17T12:00:00.000Z",
"title": "Weekly EC2 spend summary",
"summary": "Spend rose 4% week over week across production accounts.",
"responsePreview": {
"hasChart": true,
"hasTable": false,
"chartCount": 1,
"tableCount": 0,
"previewMarkdown": "```chart\n...\n```"
},
"runtimeSessionId": "sess_abc123",
"errorMessage": null,
"scheduledPrompt": {
"id": "clxprompt01xyz",
"name": "Weekly EC2 summary",
"scope": "private",
"canvasId": "clxcanvas01",
"category": "FinOps Analyst",
"domain": "Compute"
},
"canContinueInClara": true,
"response": "## Weekly EC2 summary\n\nSpend rose 4% week over week.",
"nopsClientId": 42,
"vercelMessageId": "msg_abc123"
}
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Was this page helpful?
⌘I